> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bango.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Service availability check

> Optional. Use this endpoint to check authentication, authorization, and service availability.

The `echoRequestId` in the request URL path is returned in the response body as the `echo` property.



## OpenAPI

````yaml /openapi/legacy/subscriptions/partner-to-bango/openapi.yaml post /echo/{echoRequestId}
openapi: 3.0.1
info:
  title: Bango Subscriptions API
  version: 1.4.0
  description: |-
    Manage user subscriptions to products and services.

    ### Change log
    - 1.4.0: 
        - Adding Plan Management API methods
          - Add `POST /plan`
          - Add `GET /plan/{planName}`
          - Add `GET /plan/{planId}`
          - Add `GET /plans`
        - Support for additional character types  as the first character of `planName`'s 
    - 1.3.0:
        - Add `productName` update functionality to `PUT /subscription/{subscriptionId}`
    - 1.2.0:
        - Move to OpenAPI 3.0.1 and refactor
        - Synchronize with API behavior
    - 1.1.0:
        - Remove `billingPolicy`, `useRequestedDateForBilling` from `DELETE /subscription/{subscriptionId}/cancel`
    - 1.0.0:
        - Add `merchantAccountKey` to `POST` and `GET`
    - 0.0.1:
        - Initial release
  contact:
    name: Bango Support
    url: https://bango.com
    email: support@bango.com
  termsOfService: https://bango.com/privacy
servers:
  - url: https://virtserver.swaggerhub.com/BangoProducts/Subscriptions-API/1.4.0
security:
  - basicAuth: []
tags:
  - name: echo
    description: Service availability
  - name: subscriptions
    description: Subscription management
  - name: plans
    description: Plan management
externalDocs:
  description: Bango developer documentation
  url: https://developer.bango.com
paths:
  /echo/{echoRequestId}:
    post:
      tags:
        - echo
      summary: Service availability check
      description: >-
        Optional. Use this endpoint to check authentication, authorization, and
        service availability.


        The `echoRequestId` in the request URL path is returned in the response
        body as the `echo` property.
      operationId: post-echo
      parameters:
        - $ref: '#/components/parameters/IdempotencyHeader'
        - name: echoRequestId
          in: path
          description: >-
            Arbitrary identifier, included in the response body as the `echo`
            property.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Echo response, including the `echoRequestId` from the request path.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponse'
                  - $ref: '#/components/schemas/Echo'
        '400':
          $ref: '#/components/responses/ErrorBadRequest'
        '401':
          $ref: '#/components/responses/ErrorUnauthorized'
        '429':
          $ref: '#/components/responses/ErrorTooManyRequests'
        '500':
          $ref: '#/components/responses/ErrorUnexpected'
        '503':
          $ref: '#/components/responses/ErrorUnavailable'
components:
  parameters:
    IdempotencyHeader:
      name: X-RequestIdentifier
      in: header
      description: >-
        An arbitrary, optional, globally unique identifier for the request. If
        present, this ID is used for idempotency.
      schema:
        type: string
  schemas:
    SuccessResponse:
      type: object
      properties:
        responseCode:
          description: Always 'OK'
          type: string
          enum:
            - OK
        responseMessage:
          type: string
          example: Success
      required:
        - responseCode
        - responseMessage
    Echo:
      type: object
      properties:
        echo:
          type: string
          example: ECHO_TEST
      required:
        - echo
  responses:
    ErrorBadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            properties:
              responseCode:
                description: Always 'BAD_REQUEST'
                type: string
                enum:
                  - BAD_REQUEST
              responseMessage:
                type: string
                example: Invalid request
            required:
              - responseCode
              - responseMessage
    ErrorUnauthorized:
      description: User is not authorized to access the endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              responseCode:
                description: Always 'UNAUTHORIZED'
                type: string
                enum:
                  - UNAUTHORIZED
              responseMessage:
                type: string
                example: Invalid access credential
            required:
              - responseCode
              - responseMessage
    ErrorTooManyRequests:
      description: Too many requests
      content:
        application/json:
          schema:
            type: object
            properties:
              responseCode:
                description: Always 'TOO_MANY_REQUESTS'
                type: string
                enum:
                  - TOO_MANY_REQUESTS
              responseMessage:
                type: string
                example: Request limit reached. Please try again later
            required:
              - responseCode
              - responseMessage
    ErrorUnexpected:
      description: Unexpected error
      content:
        application/json:
          schema:
            type: object
            properties:
              responseCode:
                description: Always 'INTERNAL_ERROR'
                type: string
                enum:
                  - INTERNAL_ERROR
              responseMessage:
                type: string
                example: >-
                  The server encountered an unexpected condition which prevented
                  it from fulfilling the request
            required:
              - responseCode
              - responseMessage
    ErrorUnavailable:
      description: Service unavailable
      content:
        application/json:
          schema:
            type: object
            properties:
              responseCode:
                description: Always 'SERVICE_UNAVAILABLE'
                type: string
                enum:
                  - SERVICE_UNAVAILABLE
              responseMessage:
                type: string
                example: >-
                  The server is undergoing maintenance and is not available.
                  Please, try again later
            required:
              - responseCode
              - responseMessage
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Base64 encoding of username:password as supplied by Bango Support

````